Get Dependents
curl --request POST \
--url https://api.tryfinch.com/employer/plans-dependents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>' \
--header 'Finch-API-Version: <finch-api-version>' \
--data '
{
"requests": [
{
"dependent_id": "a8d6c0ec-8a0e-4a2f-9a3b-6f0f6e2b8f21"
}
]
}
'import requests
url = "https://api.tryfinch.com/employer/plans-dependents"
payload = { "requests": [{ "dependent_id": "a8d6c0ec-8a0e-4a2f-9a3b-6f0f6e2b8f21" }] }
headers = {
"Finch-API-Version": "<finch-api-version>",
"Content-Type": "<content-type>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Finch-API-Version': '<finch-api-version>',
'Content-Type': '<content-type>',
Authorization: 'Bearer <token>'
},
body: JSON.stringify({requests: [{dependent_id: 'a8d6c0ec-8a0e-4a2f-9a3b-6f0f6e2b8f21'}]})
};
fetch('https://api.tryfinch.com/employer/plans-dependents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"responses": [
{
"dependent_id": "a8d6c0ec-8a0e-4a2f-9a3b-6f0f6e2b8f21",
"code": 200,
"body": {
"dependent_id": "a8d6c0ec-8a0e-4a2f-9a3b-6f0f6e2b8f21",
"first_name": "Jamie",
"last_name": "Doe",
"middle_name": null,
"ssn": null,
"date_of_birth": "2014-03-22",
"gender": "female",
"coverage": [
{
"individual_id": "5d0b10a1-a09a-430f-81f1-20be735dc5e9",
"relationship_to_individual": "child",
"enrollments": [
{
"id": "ec2f4d10-6ad2-4e94-8f2f-4b0a1f3c2d55",
"type": "medical"
}
]
}
]
}
}
]
}Benefits
Get Dependents
Beta: This endpoint is in beta and may change. Read dependents by Finch ID. A maximum of 50 dependents can be requested at once.
POST
/
employer
/
plans-dependents
Get Dependents
Authorizations
Please use your Access Token
Headers
Header used to specify the version for a given API request. Current version is 2020-09-17.
Pattern:
([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))Used to indicate the original media type of the resource
Query Parameters
The entity IDs to specify which entities' data to access. Provide exactly one entity ID per request; a maximum of one is accepted.
Required array length:
1 elementExample:
["550e8400-e29b-41d4-a716-446655440000"]
Body
application/json
Response
Dependent data
The batch response array.
Show child attributes
Show child attributes
Was this page helpful?
⌘I